MONGOC_GRIDFS_DROP(3)

NAME
mongoc_gridfs_drop() - Requests that an entire GridFS be dropped, including all files associated with it.

SYNOPSIS

bool
mongoc_gridfs_drop (mongoc_gridfs_t *gridfs,
                    bson_error_t    *error);

PARAMETERS

gridfs
    A mongoc_gridfs_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

Requests that an entire GridFS be dropped, including all files associated with it.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.